package ru.crystals.pos.api.plugin.asset;

/**
 * Представление изображения плагина
 */
public class ImageAsset {

    /**
     * Ширина изображения в пикселях
     */
    private int width;
    /**
     * Высота изображения в пикселях
     */
    private int height;
    /**
     * Закодированное в Base64 изображение плагина
     */
    private String content;

    public ImageAsset() {
    }

    public ImageAsset(int width, int height, String content) {
        this.width = width;
        this.height = height;
        this.content = content;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "ImageAsset{" +
                "width=" + width +
                ", height=" + height +
                ", content='" + content + '\'' +
                '}';
    }
}
