package ru.crystals.pos.api.plugin.function;

import ru.crystals.pos.api.plugin.function.dto.Withdrawal;

/**
 * Результат для формирования изъятия на кассе
 */
public class CreateWithdrawalResult implements FunctionResult {

    private Withdrawal withdrawal;

    public CreateWithdrawalResult(Withdrawal withdrawal) {
        this.withdrawal = withdrawal;
    }

    public Withdrawal getWithdrawal() {
        return withdrawal;
    }

    public void setWithdrawal(Withdrawal withdrawal) {
        this.withdrawal = withdrawal;
    }

    @Override
    public FunctionResultType getType() {
        return FunctionResultType.CREATE_WITHDRAWAL;
    }
}
