package ru.crystals.pos.spi;

/**
 * Поддерживаемые типы маркируемого товара.
 * @since 0.0.63
 */
public enum MarkedProductType {
    /**
     * Акцизный алкоголь
     */
    SPIRITS,

    /**
     * Табак
     */
    TOBACCO,

    /**
     * Обувь
     */
    FOOTWEAR,

    /**
     * Ювелирные изделия
     */
    JEWELRY,

    /**
     * Парфюмерия
     */
    PERFUMES,

    /**
     * Легкая промышленность
     */
    LIGHT_INDUSTRY,

    /**
     * Шины и диски
     */
    TYRES,

    /**
     * Фототехника и вспышки
     */
    PHOTO,

    /**
     * Молочная продукция
     */
    MILK,

    /**
     * Вода
     */
    WATER,

    /**
     * Велосипеды
     */
    BICYCLES,

    /**
     * Вода и напитки (Узбекистан)
     */
    WATER_AND_BEVERAGES,

    /**
     * Медикаменты (Узбекистан)
     */
    DRUGS,

    /**
     * Кресла-коляски
     */
    WHEELCHAIRS,

    /**
     * Биологически-активные добавки (БАДы)
     */
    DIETARYSUP
}
