package ru.crystals.pos.spi.plugin.card;

/**
 * Перечень источников событий для поиска карты  
 */
public enum CardSearchEventSource {

    /**
     * Номер карты введен вручную
     */
    NUMBER,
    
    /**
     * Сканирован штрихкод
     */
    BARCODE,
    
    /**
     * Прокатана магнитная полоса (4 дорожки)
     */
    MAGNETIC_STRIPE,
    
    /**
     * Приложена NFC метка
     */
    NFC,

    /**
     * Введен номер телефона
     */
    PHONE_NUMBER,

    /**
     * Введен email
     */
    EMAIL

}
