package ru.crystals.pos.spi.receipt;

/**
 * Информация о покупателе (добавляемая в чек напрямую, без карты)
 */
public class CustomerInfo {

    /**
     * Информация о контрагенте.
     * Используется кассой для передачи в ФР
     */
    private Counterparty counterparty;

    public CustomerInfo() {
    }

    public CustomerInfo(Counterparty counterparty) {
        this.counterparty = counterparty;
    }

    public Counterparty getCounterparty() {
        return counterparty;
    }

    public void setCounterparty(Counterparty counterparty) {
        this.counterparty = counterparty;
    }

    @Override
    public String toString() {
        return "CustomerInfo{" +
                "counterparty=" + counterparty +
                '}';
    }
}
