package ru.crystals.pos.spi.receipt;

/**
 * Данные маркировки
 *
 * @since 0.0.102
 */
public interface MarkInfo {

    /**
     * Код маркировки
     *
     * @since 0.0.102
     */
    default String getMarkCode() {
        return null;
    }

    /**
     * Результат проверки
     *
     * @since 0.0.102
     */
    default MarkValidationResult getMarkValidationResult() {
        return null;
    }

    /**
     * Контрольный код КМ
     * @return 0.0.103
     */
    default String getMarkChecksum() {
        return null;
    };

}
