package ru.crystals.setapi.plugins.test.webview.plugin.dto;

public class WebViewResponseDTO {
    public enum ResponseType {
        BARCODE_SCANNED,
        MESSAGE_RECEIVED
    }

    private final ResponseType type;

    private final String data;

    public WebViewResponseDTO(ResponseType type, String data) {
        this.type = type;
        this.data = data;
    }

    public ResponseType getType() {
        return type;
    }

    public String getData() {
        return data;
    }
}
