package ru.crystals.pos.api.ext.loyal.dto;

/**
 * Предлагаемая к добавлению в чек позиция (подарок).
 * Может быть одним из результатов расчета скидок.
 *
 * @since 0.0.68
 */
public class OfferedLineItem {
    /**
     * Артикул товара
     */
    private String marking;

    /**
     * Кол-во товара в позиции (в "граммах")
     */
    private long quantity;


    public OfferedLineItem(String marking, long quantity) {
        this.marking = marking;
        this.quantity = quantity;
    }

    public String getMarking() {
        return marking;
    }

    public void setMarking(String marking) {
        this.marking = marking;
    }

    public long getQuantity() {
        return quantity;
    }

    public void setQuantity(long quantity) {
        this.quantity = quantity;
    }

    @Override
    public String toString() {
        return "OfferedLineItem{" +
                "marking='" + marking + '\'' +
                ", quantity=" + quantity +
                '}';
    }
}
