package ru.crystals.pos.spi;

/**
 * Перечисление режимов в которых работает касса.
 * @since 0.0.46
 */
public enum PosOperationMode {
    /**
     * Касса находится в режиме продажи
     */
    SALE,
    /**
     * Возврат по чеку продажи.
     */
    REFUND,
    /**
     * Касса находится в режиме произвольного возврата.
     */
    ARBITRARY_REFUND,

    /**
     * Касса находится в режиме формирования чека расхода
     * @since 0.0.63
     */
    EXPENSE
}
