package ru.crystals.pos.spi.ui.notification;


import ru.crystals.pos.spi.Injectable;

/**
 * Менеджер неблокирующих уведомлений.
 * Отобразиться сразу в строке статуса (тач касса) или всплывающим сообщение вверху экрана (клавиатурная касса).
 */
public interface NotificationManager extends Injectable {

    /**
     * Показать уведомление
     * @param parameter параметры уведомления
     */
    void showNotification(NotificationParameter parameter);
}
